namespaces
Get user's namespaces or search namespaces
When called without query params, returns the authenticated user’s namespaces (backwards compatible). When query params are provided, searches public namespaces with pagination. Use ownerId to filter by owner, hasServers/hasSkills to filter by content, q for text search.
GET
JavaScript
Documentation Index
Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Smithery API key as Bearer token
Query Parameters
Text search query (prefix match on name)
Filter by owner ID
Filter namespaces with servers
Available options:
0, 1, true, false Filter namespaces with skills
Available options:
0, 1, true, false Required range:
1 <= x <= 9007199254740991Required range:
1 <= x <= 50Comma-separated list of fields to include in response
Previous
Create a new namespace with generated nameCreate a new namespace with a server-generated human-readable name, owned by the authenticated user
Next
JavaScript